import { JobsOptions } from "bullmq";
import Redis from "ioredis";
import { Logger as PinoLogger } from "pino";
interface NotificationJobData {
    userIds: string[];
    channel: string;
    meta: any[];
    trackResponses?: boolean;
    trackingKey: string;
    campaignId?: string;
}
export declare class QueueManager {
    static enqueueJob(redisConnection: Redis, queueName: string, jobName: string, jobData: NotificationJobData, logger: PinoLogger, jobOptions?: JobsOptions): Promise<void>;
}
export {};
