import { Logger as PinoLogger } from "pino";
export interface BatchQueryOptions {
    batchSize?: number;
}
export declare function processInBatches<T>(processBatch: (offset: number, limit: number) => Promise<T[]>, handler: (items: T[]) => Promise<void>, logger: PinoLogger, options?: BatchQueryOptions): Promise<void>;
export declare function retryWithBackoff<T>(operation: () => Promise<T>, logger: PinoLogger, operationName?: string, maxRetries?: number, baseDelay?: number): Promise<T>;
