import Redis from "ioredis";
import { Logger as PinoLogger } from "pino";
export declare function trackNotificationResponse(redis: Redis, trackingKey: string, response: any, logger: PinoLogger): Promise<void>;
export declare function getNotificationStats(redis: Redis, trackingKey: string | undefined, logger: PinoLogger): Promise<Record<string, string>>;
export declare function resetNotificationStats(redis: Redis, trackingKey: string | undefined, logger: PinoLogger): Promise<void>;
